Modern on-the-fly syntax checking extension for GNU Emacs.  [Try it][]!

![](/usr/share/doc/elpa-flycheck/examples/flycheck-annotated.png)

For a more gentle introduction read the [Installation][] instructions and go
through [Quickstart][] guide.

Please ask questions about Flycheck on [Stack Exchange][sx] or in our
[Gitter chat][gitter], and report bugs to our [issue tracker][].

We welcome all kinds of contributions, whether you write patches, open pull
requests, write documentation, help others with Flycheck issues, or just tell
other people about your experiences with Flycheck.  Please take a look at our
[Contributor’s Guide][contrib] for help and guidance about contributing to
Flycheck.

We strive to create a safe, friendly and welcoming environment in the Flycheck
community and have a [Code of Conduct][coc] that defines acceptable and welcome
behaviour as well as sanctions for violations.  All contributors and all
participants are expected to follow it, on Github, Gitter, Emacs.SX or any other
place that’s part of Flycheck’s broader community.

Flycheck is free software: you can redistribute it and/or modify it under the
terms of the [GNU General Public License][copying] as published by the Free
Software Foundation, either version 3 of the License, or (at your option) any
later version.

Flycheck is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the [GNU General Public License][copying] for more
details.

[manual]: https://www.flycheck.org/en/latest/index.html#the-user-guide
[try it]: https://www.flycheck.org/en/latest/#try-out
[Installation]: https://www.flycheck.org/en/latest/user/installation.html
[Quickstart]: https://www.flycheck.org/en/latest/user/quickstart.html
[sx]: https://emacs.stackexchange.com/questions/tagged/flycheck
[gitter]: https://gitter.im/flycheck/flycheck
[Issue Tracker]: https://github.com/flycheck/flycheck/issues
[contrib]: https://www.flycheck.org/en/latest/contributor/contributing.html
[coc]: https://www.flycheck.org/en/latest/community/conduct.html
